---
document: modulemd
version: 2
data:
  name: golang-ecosystem
  stream: 1.0
  version: 8010020191209152628
  context: cdc1202b
  arch: aarch64
  summary: The ecosystem of packages for the Go programming language
  description: >-
    This module contains golang based tools used as dependencies for other packages,
    for instance, go-md2man, a manpage converter written in Go.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8.1.0]
    requires:
      platform: [el8]
  references:
    community: https://github.com/golang-github-cpuguy83-go-md2man
    documentation: https://github.com/golang-github-cpuguy83-go-md2man
    tracker: https://github.com/golang-github-cpuguy83-go-md2man
  profiles:
    default:
      rpms:
      - golang-github-cpuguy83-go-md2man
  api:
    rpms:
    - golang-github-cpuguy83-go-md2man
  buildopts:
    rpms:
      macros: >
        %_with_ignore_tests 1
  components:
    rpms:
      golang-github-cpuguy83-go-md2man:
        rationale: Primary component of this module.
        ref: 3199389259ddb4e6b1237e7cadefeeb72c66d4a9
...
---
document: modulemd
version: 2
data:
  name: tycho
  stream: rhel8
  version: 8030020210212145717
  context: 1bdd59e9
  arch: aarch64
  summary: Plugins and extensions for building Eclipse plugins and OSGI bundles with
    Maven
  description: >-
    Tycho is a set of Maven plugins and extensions for building Eclipse plugins and
    OSGI bundles with Maven. Eclipse plugins and OSGI bundles have their own metadata
    for expressing dependencies, source folder locations, etc. that are normally found
    in a Maven POM. Tycho uses native metadata for Eclipse plugins and OSGi bundles
    and uses the POM to configure and drive the build. Tycho supports bundles, fragments,
    features, update site projects and RCP applications. Tycho also knows how to run
    JUnit test plugins using OSGi runtime and there is also support for sharing build
    results using Maven artifact repositories.

    Tycho plugins introduce new packaging types and the corresponding lifecycle bindings
    that allow Maven to use OSGi and Eclipse metadata during a Maven build. OSGi rules
    are used to resolve project dependencies and package visibility restrictions are
    honored by the OSGi-aware JDT-based compiler plugin. Tycho will use OSGi metadata
    and OSGi rules to calculate project dependencies dynamically and injects them
    into the Maven project model at build time. Tycho supports all attributes supported
    by the Eclipse OSGi resolver (Require-Bundle, Import-Package, Eclipse-GenericRequire,
    etc). Tycho will use proper classpath access rules during compilation. Tycho supports
    all project types supported by PDE and will use PDE/JDT project metadata where
    possible. One important design goal in Tycho is to make sure there is no duplication
    of metadata between POM and OSGi metadata.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      javapackages-tools: [201801]
      platform: [el8]
      tycho: [rhel8]
    requires:
      javapackages-tools: [201801]
      platform: [el8]
  profiles:
    common:
      rpms:
      - tycho
      - tycho-extras
  api:
    rpms:
    - cbi-plugins
    - tycho
    - tycho-extras
  buildopts:
    rpms:
      macros: >
        %_with_jp_minimal 1
        %_without_contrib_tools 1
        %_without_junit5 1
        %_without_tests 1
  components:
    rpms:
      apache-commons-el:
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      apiguardian:
        rationale: 'Build dependency of junit5.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      auto:
        rationale: 'Runtime dependency of cbi-plugins. Build dependency of cbi-plugins.

'
        ref: stream-rhel8
        buildorder: 20
        arches: [x86_64]
      batik:
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

'
        ref: stream-rhel8
        buildorder: 20
        arches: [x86_64]
      cbi-plugins:
        rationale: 'Module API. Build dependency of eclipse.

'
        ref: stream-rhel8
        buildorder: 50
        arches: [x86_64]
      decentxml:
        rationale: 'Runtime dependency of cbi-plugins, tycho. Build dependency of
          cbi-plugins, tycho.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      ecj:
        rationale: 'Runtime dependency of tycho. Build dependency of glassfish-jsp,
          tycho.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      eclipse:
        rationale: 'Module application.

'
        ref: stream-rhel8
        buildorder: 80
        arches: [x86_64]
      eclipse-ecf:
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

'
        ref: stream-rhel8
        buildorder: 70
        arches: [x86_64]
      eclipse-emf:
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse, eclipse-ecf.

'
        ref: stream-rhel8
        buildorder: 60
        arches: [x86_64]
      eclipse-license:
        rationale: 'Build dependency of eclipse, eclipse-ecf.

'
        ref: stream-rhel8
        buildorder: 50
        arches: [x86_64]
      felix-gogo-command:
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

'
        ref: stream-rhel8
        buildorder: 30
        arches: [x86_64]
      felix-gogo-parent:
        rationale: "Build dependency of felix-gogo-command,\n     felix-gogo-runtime,
          felix-gogo-shell.\n"
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      felix-gogo-runtime:
        rationale: "Runtime dependency of eclipse, felix-gogo-command,\n     felix-gogo-shell.\nBuild
          dependency of eclipse, felix-gogo-command,\n     felix-gogo-shell, felix-scr.\n"
        ref: stream-rhel8
        buildorder: 20
        arches: [x86_64]
      felix-gogo-shell:
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

'
        ref: stream-rhel8
        buildorder: 30
        arches: [x86_64]
      felix-scr:
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

'
        ref: stream-rhel8
        buildorder: 30
        arches: [x86_64]
      glassfish-jsp:
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

'
        ref: stream-rhel8
        buildorder: 20
        arches: [x86_64]
      google-gson:
        rationale: 'Runtime dependency of eclipse Build dependency of eclipse

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      icu4j:
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      javapoet:
        rationale: 'Runtime dependency of auto Build dependency of auto

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      jetty:
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      junit5:
        rationale: 'Build dependency of tycho, eclipse.

'
        ref: stream-rhel8
        buildorder: 20
        arches: [x86_64]
      kxml:
        rationale: 'Runtime dependency of felix-scr. Build dependency of felix-scr.

'
        ref: stream-rhel8
        buildorder: 20
        arches: [x86_64]
      lucene:
        rationale: 'Runtime dependency of eclipse. Build dependency of eclipse.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      opentest4j:
        rationale: 'Build dependency of junit5.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      sac:
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      sat4j:
        rationale: 'Runtime dependency of eclipse, tycho. Build dependency of eclipse,
          tycho.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      tesla-polyglot:
        rationale: 'Runtime dependency of tycho-extras. Build dependency of tycho-extras.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      tycho:
        rationale: "Module API. Runtime dependency of cbi-plugins,\n     tycho-extras.\nBuild
          dependency of cbi-plugins, eclipse, eclipse-ecf,\n     eclipse-emf, eclipse-license,\n
          \    tycho-extras.\n"
        ref: stream-rhel8
        buildorder: 40
        arches: [x86_64]
      tycho-extras:
        rationale: 'Module API. Build dependency of eclipse, eclipse-ecf, eclipse-emf.

'
        ref: stream-rhel8
        buildorder: 50
        arches: [x86_64]
      univocity-parsers:
        rationale: 'Build dependency of junit5.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      xml-maven-plugin:
        rationale: 'Build dependency of eclipse.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      xmlgraphics-commons:
        rationale: 'Runtime dependency of batik. Build dependency of batik.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
      xpp3:
        rationale: 'Runtime dependency of felix-scr, kxml. Build dependency of felix-scr,
          kxml.

'
        ref: stream-rhel8
        buildorder: 10
        arches: [x86_64]
  artifacts:
    rpms:
    - apache-commons-el-0:1.0-42.module_el8.3.0+2038+69403ed1.src
    - apache-commons-el-0:1.0-42.module_el8.3.0+2038+69403ed1.noarch
    - apache-commons-el-javadoc-0:1.0-42.module_el8.3.0+2038+69403ed1.noarch
    - apiguardian-0:1.1.0-4.module_el8.3.0+2038+69403ed1.src
    - apiguardian-0:1.1.0-4.module_el8.3.0+2038+69403ed1.noarch
    - apiguardian-javadoc-0:1.1.0-4.module_el8.3.0+2038+69403ed1.noarch
    - decentxml-0:1.4-19.module_el8.3.0+2038+69403ed1.src
    - decentxml-0:1.4-19.module_el8.3.0+2038+69403ed1.noarch
    - decentxml-javadoc-0:1.4-19.module_el8.3.0+2038+69403ed1.noarch
    - ecj-1:4.11-0.1.module_el8.3.0+2038+69403ed1.src
    - ecj-1:4.11-0.1.module_el8.3.0+2038+69403ed1.noarch
    - felix-gogo-parent-0:4-2.module_el8.3.0+2038+69403ed1.src
    - felix-gogo-parent-0:4-2.module_el8.3.0+2038+69403ed1.noarch
    - google-gson-0:2.8.6-5.module_el8.3.0+2038+69403ed1.src
    - google-gson-0:2.8.6-5.module_el8.3.0+2038+69403ed1.noarch
    - google-gson-javadoc-0:2.8.6-5.module_el8.3.0+2038+69403ed1.noarch
    - icu4j-1:65.1-3.module_el8.3.0+2038+69403ed1.src
    - icu4j-1:65.1-3.module_el8.3.0+2038+69403ed1.noarch
    - icu4j-charset-1:65.1-3.module_el8.3.0+2038+69403ed1.noarch
    - icu4j-localespi-1:65.1-3.module_el8.3.0+2038+69403ed1.noarch
    - icu4j-javadoc-1:65.1-3.module_el8.3.0+2038+69403ed1.noarch
    - javapoet-0:1.7.0-6.module_el8.3.0+2038+69403ed1.src
    - javapoet-0:1.7.0-6.module_el8.3.0+2038+69403ed1.noarch
    - javapoet-javadoc-0:1.7.0-6.module_el8.3.0+2038+69403ed1.noarch
    - jetty-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.src
    - jetty-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-client-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-continuation-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-http-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-io-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-jaas-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-security-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-server-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-servlet-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-util-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-webapp-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-jmx-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-xml-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - jetty-javadoc-0:9.4.30-2.v20200611.module_el8.3.0+2038+69403ed1.noarch
    - lucene-0:8.4.1-5.module_el8.3.0+2038+69403ed1.src
    - lucene-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-analysis-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-analyzers-smartcn-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-grouping-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-highlighter-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-join-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-memory-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-misc-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-queries-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-queryparser-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-sandbox-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-backward-codecs-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-codecs-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-classification-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-suggest-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-monitor-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - lucene-javadoc-0:8.4.1-5.module_el8.3.0+2038+69403ed1.noarch
    - opentest4j-0:1.2.0-2.module_el8.3.0+2038+69403ed1.src
    - opentest4j-0:1.2.0-2.module_el8.3.0+2038+69403ed1.noarch
    - opentest4j-javadoc-0:1.2.0-2.module_el8.3.0+2038+69403ed1.noarch
    - sac-0:1.3-30.module_el8.3.0+2038+69403ed1.src
    - sac-0:1.3-30.module_el8.3.0+2038+69403ed1.noarch
    - sac-javadoc-0:1.3-30.module_el8.3.0+2038+69403ed1.noarch
    - sat4j-0:2.3.5-19.module_el8.3.0+2038+69403ed1.src
    - sat4j-0:2.3.5-19.module_el8.3.0+2038+69403ed1.noarch
    - tesla-polyglot-0:0.2.1-9.module_el8.3.0+2038+69403ed1.src
    - tesla-polyglot-0:0.2.1-9.module_el8.3.0+2038+69403ed1.noarch
    - tesla-polyglot-atom-0:0.2.1-9.module_el8.3.0+2038+69403ed1.noarch
    - tesla-polyglot-common-0:0.2.1-9.module_el8.3.0+2038+69403ed1.noarch
    - tesla-polyglot-maven-plugin-0:0.2.1-9.module_el8.3.0+2038+69403ed1.noarch
    - tesla-polyglot-translate-plugin-0:0.2.1-9.module_el8.3.0+2038+69403ed1.noarch
    - tesla-polyglot-xml-0:0.2.1-9.module_el8.3.0+2038+69403ed1.noarch
    - tesla-polyglot-javadoc-0:0.2.1-9.module_el8.3.0+2038+69403ed1.noarch
    - univocity-parsers-0:2.8.4-3.module_el8.3.0+2038+69403ed1.src
    - univocity-parsers-0:2.8.4-3.module_el8.3.0+2038+69403ed1.noarch
    - univocity-parsers-javadoc-0:2.8.4-3.module_el8.3.0+2038+69403ed1.noarch
    - xmlgraphics-commons-0:2.3-4.module_el8.3.0+2038+69403ed1.src
    - xmlgraphics-commons-0:2.3-4.module_el8.3.0+2038+69403ed1.noarch
    - xmlgraphics-commons-javadoc-0:2.3-4.module_el8.3.0+2038+69403ed1.noarch
    - xml-maven-plugin-0:1.0.2-3.module_el8.3.0+2038+69403ed1.src
    - xml-maven-plugin-0:1.0.2-3.module_el8.3.0+2038+69403ed1.noarch
    - xml-maven-plugin-javadoc-0:1.0.2-3.module_el8.3.0+2038+69403ed1.noarch
    - xpp3-0:1.1.4-20.c.module_el8.3.0+2038+69403ed1.src
    - xpp3-0:1.1.4-20.c.module_el8.3.0+2038+69403ed1.noarch
    - xpp3-minimal-0:1.1.4-20.c.module_el8.3.0+2038+69403ed1.noarch
    - xpp3-javadoc-0:1.1.4-20.c.module_el8.3.0+2038+69403ed1.noarch
    - auto-0:1.4.1-1.module_el8.3.0+2038+69403ed1.src
    - auto-0:1.4.1-1.module_el8.3.0+2038+69403ed1.noarch
    - auto-common-0:1.4.1-1.module_el8.3.0+2038+69403ed1.noarch
    - auto-service-0:1.4.1-1.module_el8.3.0+2038+69403ed1.noarch
    - auto-value-0:1.4.1-1.module_el8.3.0+2038+69403ed1.noarch
    - auto-javadoc-0:1.4.1-1.module_el8.3.0+2038+69403ed1.noarch
    - batik-0:1.11-6.module_el8.3.0+2038+69403ed1.src
    - batik-0:1.11-6.module_el8.3.0+2038+69403ed1.noarch
    - batik-util-0:1.11-6.module_el8.3.0+2038+69403ed1.noarch
    - batik-css-0:1.11-6.module_el8.3.0+2038+69403ed1.noarch
    - batik-squiggle-0:1.11-6.module_el8.3.0+2038+69403ed1.noarch
    - batik-svgpp-0:1.11-6.module_el8.3.0+2038+69403ed1.noarch
    - batik-ttf2svg-0:1.11-6.module_el8.3.0+2038+69403ed1.noarch
    - batik-rasterizer-0:1.11-6.module_el8.3.0+2038+69403ed1.noarch
    - batik-slideshow-0:1.11-6.module_el8.3.0+2038+69403ed1.noarch
    - batik-javadoc-0:1.11-6.module_el8.3.0+2038+69403ed1.noarch
    - batik-demo-0:1.11-6.module_el8.3.0+2038+69403ed1.noarch
    - felix-gogo-runtime-0:1.1.0-7.module_el8.3.0+2038+69403ed1.src
    - felix-gogo-runtime-0:1.1.0-7.module_el8.3.0+2038+69403ed1.noarch
    - felix-gogo-runtime-javadoc-0:1.1.0-7.module_el8.3.0+2038+69403ed1.noarch
    - glassfish-jsp-0:2.3.4-6.module_el8.3.0+2038+69403ed1.src
    - glassfish-jsp-0:2.3.4-6.module_el8.3.0+2038+69403ed1.noarch
    - glassfish-jsp-javadoc-0:2.3.4-6.module_el8.3.0+2038+69403ed1.noarch
    - junit5-0:5.6.2-2.module_el8.3.0+2038+69403ed1.src
    - junit5-0:5.6.2-2.module_el8.3.0+2038+69403ed1.noarch
    - junit5-javadoc-0:5.6.2-2.module_el8.3.0+2038+69403ed1.noarch
    - junit5-guide-0:5.6.2-2.module_el8.3.0+2038+69403ed1.noarch
    - kxml-0:2.3.0-18.module_el8.3.0+2038+69403ed1.src
    - kxml-0:2.3.0-18.module_el8.3.0+2038+69403ed1.noarch
    - kxml-javadoc-0:2.3.0-18.module_el8.3.0+2038+69403ed1.noarch
    - felix-gogo-command-0:1.0.2-11.module_el8.3.0+2038+69403ed1.src
    - felix-gogo-command-0:1.0.2-11.module_el8.3.0+2038+69403ed1.noarch
    - felix-gogo-command-javadoc-0:1.0.2-11.module_el8.3.0+2038+69403ed1.noarch
    - felix-gogo-shell-0:1.1.0-5.module_el8.3.0+2038+69403ed1.src
    - felix-gogo-shell-0:1.1.0-5.module_el8.3.0+2038+69403ed1.noarch
    - felix-gogo-shell-javadoc-0:1.1.0-5.module_el8.3.0+2038+69403ed1.noarch
    - felix-scr-0:2.1.16-6.module_el8.3.0+2038+69403ed1.src
    - felix-scr-0:2.1.16-6.module_el8.3.0+2038+69403ed1.noarch
    - felix-scr-javadoc-0:2.1.16-6.module_el8.3.0+2038+69403ed1.noarch
    - felix-scr-0:2.1.16-6.module_el8.3.0+2038+69403ed1.src
    - felix-scr-0:2.1.16-6.module_el8.3.0+2038+69403ed1.noarch
    - felix-scr-javadoc-0:2.1.16-6.module_el8.3.0+2038+69403ed1.noarch
    - felix-scr-0:2.1.16-6.module_el8.3.0+2038+69403ed1.src
    - felix-scr-0:2.1.16-6.module_el8.3.0+2038+69403ed1.noarch
    - felix-scr-javadoc-0:2.1.16-6.module_el8.3.0+2038+69403ed1.noarch
    - tycho-0:1.4.0-2.module_el8.3.0+2038+69403ed1.src
    - tycho-0:1.4.0-2.module_el8.3.0+2038+69403ed1.noarch
    - tycho-javadoc-0:1.4.0-2.module_el8.3.0+2038+69403ed1.noarch
    - cbi-plugins-0:1.1.5-6.module_el8.3.0+2038+69403ed1.src
    - cbi-plugins-0:1.1.5-6.module_el8.3.0+2038+69403ed1.noarch
    - cbi-plugins-javadoc-0:1.1.5-6.module_el8.3.0+2038+69403ed1.noarch
    - eclipse-license-0:2.0.1-7.module_el8.3.0+2038+69403ed1.src
    - eclipse-license1-0:1.0.1-7.module_el8.3.0+2038+69403ed1.noarch
    - eclipse-license2-0:2.0.1-7.module_el8.3.0+2038+69403ed1.noarch
    - tycho-extras-0:1.4.0-1.module_el8.3.0+2038+69403ed1.src
    - tycho-extras-0:1.4.0-1.module_el8.3.0+2038+69403ed1.noarch
    - tycho-extras-javadoc-0:1.4.0-1.module_el8.3.0+2038+69403ed1.noarch
    - eclipse-emf-1:2.22.0-1.module_el8.3.0+2038+69403ed1.src
    - eclipse-emf-core-1:2.22.0-1.module_el8.3.0+2038+69403ed1.noarch
    - eclipse-ecf-0:3.14.8-1.module_el8.3.0+2038+69403ed1.src
    - eclipse-ecf-core-0:3.14.8-1.module_el8.3.0+2038+69403ed1.noarch
...
